using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;

namespace RFIDForm
{
	/// <summary>
	/// 摜\p̃tH[
	/// </summary>
	public class ImageForm : System.Windows.Forms.Form
	{
		//R|[lg̐錾
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.ComponentModel.Container components = null;

		string imageFile = "";
		string titleText = "";
		long id = 0;

		//RXgN^
		public ImageForm(Item item)
		{
			InitializeComponent();
		
			id = item.id;
			titleText = item.name;
			imageFile = item.url;

			this.Text = titleText;
			SetImage();
			return;
		}
		
		//摜picutreBoxɕ\D
		private void SetImage()
		{
			try
			{
				this.pictureBox1.Image = Image.FromFile(imageFile);
				int width = pictureBox1.Image.Size.Width;
				int height = pictureBox1.Image.Size.Height;
				if(CheckImageSize(ref width, ref height)){
					pictureBox1.Image =  new Bitmap(pictureBox1.Image, new Size(width, height));
				}
				pictureBox1.Size = new Size(width, height);
				this.Width = width;
				this.Height = height + 20;
			}
			catch(Exception e)
			{
				//MessageBox.Show(e.ToString());
			}
			
		}

		//摜̃TCYʗ̈𒴂Ȃ悤ɏkD
		private bool CheckImageSize(ref int width, ref int height)
		{
			
			int screenWidth = Screen.PrimaryScreen.Bounds.Width;
			int screenHeight = Screen.PrimaryScreen.Bounds.Height;

			bool changed = false;
			//ʕȓɕۂ
			if(width > screenWidth)
			{	
				
				height = (int)(height * ((float)screenWidth / (float)width));
				width = screenWidth;
				changed =true;
			}
			//ʂ̍ȓɕۂ
			if(height > screenHeight)
			{
				
				width = (int)(width * ((float)screenHeight / (float)height));
				height = screenHeight;
				changed = true;
			}

			return changed;
		}


		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{

			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void pictureBox1_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
			pictureBox1.Update();
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.SuspendLayout();
			// 
			// pictureBox1
			// 
			this.pictureBox1.Location = new System.Drawing.Point(-8, 0);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(300, 280);
			this.pictureBox1.TabIndex = 0;
			this.pictureBox1.TabStop = false;
			this.pictureBox1.Paint += new System.Windows.Forms.PaintEventHandler(this.pictureBox1_Paint);
			// 
			// ImageForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.ControlBox = false;
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.pictureBox1});
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "ImageForm";
			this.ShowInTaskbar = false;
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
			this.Text = "ImageForm";
			this.ResumeLayout(false);

		}
		#endregion


	}
}
